Bug 76804 - USB floppies and SCSI disks are natural enemies
USB floppies and SCSI disks are natural enemies
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On: 80020
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-26 19:52 EDT by Martin K. Petersen
Modified: 2007-04-18 12:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-25 10:58:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin K. Petersen 2002-10-26 19:52:12 EDT
Description of Problem:

Anaconda clobbered my partition table/first filesystem when asked to create
a boot disk.

My machine is SCSI-only and I used a USB floppy drive for the install.  System
disk is sda.  The floppy ended up as sdb.

Install progressed just fine.  After boot, however, something which resembled a
boot floppy image took up the first part of my SCSI disk.


How Reproducible:

Despite my amazing od -t a filesystem superblock spotting powers, I've not had a
strong desire to reproduce.


Steps to Reproduce:
1. Perform an install to a SCSI-disk using a USB-floppy
2. When prompted to create a boot disk, do so

Actual Results:

First part of the harddisk gets clobbered


Expected Results:

A boot image on the floppy drive and not the harddisk.
Comment 1 Jeremy Katz 2003-01-10 02:24:33 EST
We now always reprobe for what the floppy device is now and have fun unloading
and reloading usb-storage in various places
Comment 2 Brent Fox 2003-05-25 10:58:11 EDT
I'm going through Bugzilla closing some bugs that have been marked as Modified
for some period of time.  I believe that most of these issues have been fixed,
so I'm resolving these bugs as Rawhide.  If the bug you are seeing still exists,
please reopen this report and mark it as Reopened.

Note You need to log in before you can comment on or make changes to this bug.